#ifndef INFINITE_PLANE_HXX
#define INFINITE_PLANE_HXX

#include "Primitive.hxx"

class InfinitePlane : public Primitive
{
public:
  InfinitePlane(const Vec3f& a, const Vec3f & n, Shader* shader);
  virtual ~InfinitePlane();
  
  virtual bool Intersect(Ray& ray);
  virtual Vec3f GetNormal(Ray& ray);
private:
  Vec3f m_a, m_n;
};
#endif
